commit 0e020921726ee812e633959d9ad6315ff58b902b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun May 15 18:34:25 2022 +0200

    Relicense nav_types.h and nav_print.c as GPLv2+3
    
    Close #8
    
    This was authorized by Eric Smith, original author of VOBDUMP, by email
    on May 15, 2022

commit 92ed32f4808e5b22c3c228e02ecc4bb6e7dcc62a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun May 15 10:14:42 2022 +0200

    Update README

commit 336fd435b8c5cb4357bfdb97e89b6206cf1e3d0d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun May 15 10:09:24 2022 +0200

    Update NEWS to 6.1.3

commit 361502a1341b2f5fac7fe2c28b50f223ac814ff3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Dec 17 13:19:21 2021 +0100

    ifo_read: check the number of commands is within the boundaries
    
    According to [1] these 16 bits represent the "end address relative to command table".
    This corresponds to the last_byte check in other places.
    
    [1] http://dvd.sourceforge.net/dvdinfo/pgc.html#cmd

commit f6774c386f404b49a13d9027567d57e104c5a415
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Dec 16 13:12:08 2021 +0100

    avoid reading the next byte ahead
    
    It may not be in the end of the buffer anymore.
    
    The byte value used was always equivalent to
    > state->start[state->byte_position] << state->bit_position
    
    Also constify the read buffer.

commit 3a58bf305d3201c418f87bd6a878c90f69a32814
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu May 20 12:43:57 2021 +0200

    bitreader: Add a minimal test

commit 46754b9ea0090b9af0b5bbd5781b88de788e2aab
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Dec 17 09:42:52 2021 +0100

    ifo_read: don't treat 0 PGCI SRP as an error
    
    The comments say it exists in the wild.
    
    calloc() may or may not return NULL in that case. Just use NULL but assume it's
    not an error.

commit 21e8964e71bbc743123c458a3f1a4ff544d1ed6b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu May 20 15:10:04 2021 +0200

    dvd_reader: Use realpath instead of chdir/getcwd
    
    to compute a canonical path

commit c227550889b4455bbfba51099306e78ce81b7df9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Dec 17 10:34:32 2021 +0100

    ifo_read: allocate the right number of PTT
    
    We were allocating 4x the number of PTTs. We should use the same value as
    nr_of_ptts.

commit 9a9072a73fe97e1d78af920ea28fbfee14b9978d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Dec 17 14:09:33 2021 +0100

    ifo_read: keep the unknown TXTDT_MG second field
    
    It is not checked to be zero as most other field so may contain useful values.

commit 32aeed4b3d450b841ee151c58548d08cd65127f1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Dec 15 12:53:51 2021 +0100

    ifo_types.h: remove unused defines

commit 872f4ef8d4fa6d00d0832bc5bcd144c91255e38a
Author: Dimitri Papadopoulos <3234522+DimitriPapadopoulos@users.noreply.github.com>
Date:   Mon Oct 25 21:34:10 2021 +0200

    Fix typos found by codespell

commit 819c5162715e559d765beadaee2f91c2b49654ff
Author: Brad Smith <brad@comstyle.com>
Date:   Sun Oct 3 20:55:39 2021 -0400

    Remove OpenBSD a.out support.
    
    a.out support was obsolete 18 years ago.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c031048907b72c4757926a06f2bc5fac42fba15
Author: Brad Smith <brad@comstyle.com>
Date:   Sat Sep 11 20:57:58 2021 -0400

    Use correct name of the libdvdcss shared library on OpenBSD
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cddaf6e478cbaaa634e48d44887fa1bc51e3a02f
Author: Mathias Couder <mathias.couder.20@gmail.com>
Date:   Tue Jun 15 13:07:01 2021 +0000

    Move README to README.md
    
    And notably add VideoLAN Code of Conduct and improve lisibility

commit 3ac6979690e7b5446928a5354b3fb579016057dd
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu May 20 15:39:00 2021 +0200

    ifo_types.h: Don't use attribute gcc_struct with clang
    
    This issues a warning for each packed struct each time the header gets
    included

commit 7fc86bd0124d29130ad7d4afc10f3f4105e1c811
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu May 20 15:26:40 2021 +0200

    ifo_types: Indent to clarify the conditions

commit 0c281afada0ee5f2f4842eabafb4cb1c5d0e0ced
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Apr 19 09:12:59 2021 +0300

    Fix packaging files in msvc

commit 65ad37d3c8bc323971282a5eca6ba060af248d4b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Apr 13 21:27:52 2021 +0300

    Remove unused struct field

commit 47a582c67029ce2c57e83112794a3e3f710b844b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Apr 13 21:23:14 2021 +0300

    sprintf -> strcpy

commit 37e2354e016648f7c74ad48fcb5524919bb228de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 18 11:49:57 2021 +0200

    Update NEWS for 6.1.2

commit 81407d80db03c2d2b7442d7ff89c0f4393b6931f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 18 12:27:46 2021 +0200

    Fix mingw build from tarballs
    
    Actually a work-around, tbh, but it'll take more time to fix.

commit 3d8b0cbce6be3e4b6906f294d631281f4c61c96d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Apr 12 19:24:56 2021 +0300

    Move win32 helpers after all includes

commit 714dc2682396a41921ebe90a528b0418322a51f9
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Apr 12 19:21:58 2021 +0300

    win32: Fix opendir()/readdir() with non-ASCII paths

commit 72cb63b88141c66968c13690e2cc85ccf938df9f
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Apr 7 12:46:42 2021 +0300

    win32: Fix opening of non-ASCII paths

commit 2ffeb36d8a45c89101e1fbcd1a61f538ba6e44fa
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Apr 7 18:47:58 2021 +0300

    win32: Fix stat() with non-ASCII paths

commit edadb4255063f27dbfe1559c840af2ba9e6befdc
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Sat Apr 10 18:22:38 2021 +0300

    win32: add utf8 -> wchar_t conversion utility

commit f56bef305b86755415200a137b7acc70889c87bf
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Apr 7 18:51:15 2021 +0300

    Drop unused include and define

commit 939671fbd02c98244cb28df6d38a8f2b8a3e6d27
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Apr 7 18:49:48 2021 +0300

    Silence unused variable warning (_WIN32)

commit dc1caa064e9d11944516c66a44df25f2ddef476c
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Apr 6 18:06:50 2021 +0300

    dlfcn: make sure path is nul-terminated after strncpy()

commit 9ba15098502fb5b8fbe73ee3ab2c8bbc11763523
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Apr 6 18:04:02 2021 +0300

    Silence warnings

commit 04d2b7f2080d2f04beed4c3c58938e6c95894ae1
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Apr 8 00:05:16 2021 +0300

    CI: no need for vlc contribs

commit 227e060ca55614714a2a3f5a25ee878dd4abdfe5
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Jan 7 21:40:38 2021 +0300

    CI: Update CI to use more modern builders and contribs

commit b71137c43683191084bb07e3bcaa5a5880f7acaf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu May 7 16:22:26 2020 +0200

    autoconf: require C99

commit c2290bb4b1d31c5e6f7a65fcfcc031c3ce67fe85
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jul 9 14:46:49 2020 +0200

    CI: Fix image tags

commit a3329a79e9d44c927b84f0ab646a93d4c237ecb3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Apr 3 14:32:35 2020 +0200

    Bump version to 6.1.1

commit e533d03fd99f24f69daf7d831d88ec5b95078d92
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Apr 1 18:01:16 2020 +0200

    configure.ac: Fix LT_AGE following ABI breakage
    
    The ABI broke, so we need to reset DVDREAD_LT_AGE to 0
    Fix #14

commit 8389f224091dccacbf66d0a5207f87e0f5028ecc
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Apr 1 17:44:55 2020 +0200

    CI: Fix links to docker registry

commit d413571ce39acd404523b6742ba361215f6ada68
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Mar 5 20:18:36 2020 +0100

    Fix the arguments order for strerror_s

commit 9bc33de3458560f7069257e7b429fc66f514a4fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 5 16:42:41 2020 +0100

    add checks for strerror_r

commit 32afabc16f3c160455b1492e7f0d3647e4acb04b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 4 14:01:32 2020 +0100

    Update NEWS for 6.1.0

commit 42374932bebd4f9e67f8cd0db46c792038e69df1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 16:05:16 2020 +0100

    ifo_print: use logger

commit 33e674e4e216b9f389edd3c41d6d90e524dedda2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 19:36:39 2020 +0100

    dvd_input: use logger

commit 7ec273ddfac77a622e9fa4817525accf550d2ace
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 17:58:19 2020 +0100

    dvd_udf: replace log occurrences

commit 5ebbd78daaa3d1a884e6d8d8a363463fea2d57ce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 17:44:26 2020 +0100

    ifo_read: use logger

commit d9cd1b5fd9ef29fbffc77604d3ba5f9eb855aa29
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 17:43:50 2020 +0100

    ifo_handle: store main context in priv

commit cabd80c8350bc22a9c705363565e8631ecb39234
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 16:47:28 2020 +0100

    ifo_handle: create real priv data, unexpose dvd_file_t pointer

commit bde28bce4302e32645bd9bc7677a04b41bec0b80
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 14:50:44 2020 +0100

    dvd_reader: use logger

commit 5ef1a39573c236b3dbaee27bfcf2f2fdd2867331
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 14:05:17 2020 +0100

    Add internal logger functions

commit c2e322aea06309a56a1464d745a25160d31fb650
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 13:10:15 2020 +0100

    add logger parameters in new Open2

commit 3e4519df837b39077a6369f81a5b9492920bb6ee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 19 12:58:07 2020 +0100

    Add new versions of DVDOpen to provide context

commit 6c463b78201e2af6a5191c1d4c2272ef5711c45b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 16:11:35 2020 +0100

    flag broken IFO to load BUP instead
    
    Fallback isn't done for VMGI. We need to store
    earlier IFO fallback state.
    
    Fixes playback with crafted/corrupted IFO

commit 1a01c64cc4a3a4f913f3a46e1476ae5876619d6c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 17:05:13 2020 +0100

    Change dvd_reader_t for a real global context
    
    dvd_reader_t is only accessible by dvd_reader.c

commit 18b176cb03a812c02e96cfe9b926bb1255a3eb62
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 13:03:17 2020 +0100

    handle VMGI fallback

commit 8ca9828ed1031d1e6b39cf924471655b44e17110
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 18 12:59:25 2020 +0100

    handle VTSI fallback

commit 89a5fce5a7a3ef3acc0c39fb962a7cfa7a427979
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 17 20:45:19 2020 +0100

    ifo_read: refactor and fix BUP fallback

commit 64e41a83448560374655eab9ab377dcce66e5a64
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:59:23 2020 +0100

    contrib: Remove pthreads
    
    It's not used anywhere in this project

commit e7d929a2810373724633a06aaa927ec606727e8a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:56:13 2020 +0100

    contrib: Remove unused timer files

commit 8d7b4c1a91887037934c6bb78fb6629b41bbc3b1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:51:38 2020 +0100

    contrib: Remove unused getopt

commit 803106b38bdba3463a401a5de158f80d6cfd4b91
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:50:28 2020 +0100

    contrib: Remove unused bcopy

commit 5706d4b22d30bfa89a2433b6a30b35cf1134d84d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:48:28 2020 +0100

    Use _WIN32 instead of WIN32

commit 6d781d2bc3445bbd2577ab85138f65c3df4ce323
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 18 15:45:36 2020 +0100

    Remove unused dvdnav_internal.h

commit 0c59f34a308afadb3c9088ca3df6b4b865e677fa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 6 22:56:40 2020 +0100

    Update NEWS for 6.0.3

commit 108f301a90e7abbc1c3803ffe566417d80f18a2c
Author: François Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 6 22:54:12 2020 +0100

    skip UDF file truncation by empty contiguous ShortAD

commit da2245e4eccca4b8816ecba3d99c6c2134e3d07c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Oct 24 14:42:55 2019 +0200

    only use getmntent_r if available

commit a02a002ff7e4a740a740a649f466a8954c70c5a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 1 16:40:44 2019 +0200

    Update NEWS about bump ABI

commit 819dd78fdc10b66d04d4033557e7085cc345c094
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 1 16:35:32 2019 +0200

    Update CI to use more modern contribs

commit f95662fca27e7e2940c22110335654db46bf9c39
Author: John Sullivan <jsgthb@kanargh.org.uk>
Date:   Fri Aug 9 13:23:15 2019 +0100

    Swap pgc_t's still_time and pg_playback_mode which are currently
    the wrong way round, which prevents some discs from playing.

commit 143d06a8770477b0e77ced898e39099883885103
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jul 19 10:31:56 2019 +0200

    use reentrant getmntent_r
    
    This fixes the following data-race on VLC when 2 different inputs are opening
    at the same time:
    
    WARNING: ThreadSanitizer: data race (pid=15659)
      Write of size 8 at 0x7f79148d3140 by thread T5:
        #0 getmntent ../../../../src/libsanitizer/sanitizer_common/sanitizer_common_interceptors.inc:3850 (libtsan.so.0+0x3d84c)
        #1 DVDOpenCommon ../src/dvd_reader.c:548 (libdvdread.so.4+0x38b6)
        #2 generic_start ../../src/modules/modules.c:258 (libvlccore.so.9+0x3bed5)
        #3 module_load ../../src/modules/modules.c:122 (libvlccore.so.9+0x3be7e)
        #4 vlc_module_load ../../src/modules/modules.c:194 (libvlccore.so.9+0x3c358)
        #5 module_need ../../src/modules/modules.c:277 (libvlccore.so.9+0x3c60c)
        #6 access_New ../../src/input/access.c:149 (libvlccore.so.9+0x5464c)
        #7 stream_AccessNew ../../src/input/access.c:294 (libvlccore.so.9+0x549c1)
        #8 InputDemuxNew ../../src/input/input.c:2413 (libvlccore.so.9+0x7528b)
        #9 InputSourceNew ../../src/input/input.c:2556 (libvlccore.so.9+0x76c1c)
        #10 Init ../../src/input/input.c:1257 (libvlccore.so.9+0x7b145)
        #11 Run ../../src/input/input.c:449 (libvlccore.so.9+0x7c3fe)
    
      Previous write of size 8 at 0x7f79148d3140 by thread T4:
        #0 getmntent ../../../../src/libsanitizer/sanitizer_common/sanitizer_common_interceptors.inc:3850 (libtsan.so.0+0x3d84c)
        #1 DVDOpenCommon ../src/dvd_reader.c:548 (libdvdread.so.4+0x38b6)
        #2 generic_start ../../src/modules/modules.c:258 (libvlccore.so.9+0x3bed5)
        #3 module_load ../../src/modules/modules.c:122 (libvlccore.so.9+0x3be7e)
        #4 vlc_module_load ../../src/modules/modules.c:194 (libvlccore.so.9+0x3c358)
        #5 module_need ../../src/modules/modules.c:277 (libvlccore.so.9+0x3c60c)
        #6 access_New ../../src/input/access.c:149 (libvlccore.so.9+0x5464c)
        #7 stream_AccessNew ../../src/input/access.c:294 (libvlccore.so.9+0x549c1)
        #8 InputDemuxNew ../../src/input/input.c:2413 (libvlccore.so.9+0x7528b)
        #9 InputSourceNew ../../src/input/input.c:2556 (libvlccore.so.9+0x76c1c)
        #10 Init ../../src/input/input.c:1257 (libvlccore.so.9+0x7b145)
        #11 Preparse ../../src/input/input.c:475 (libvlccore.so.9+0x7c2b6)

commit ebf7dab00bb106ad323b909f5d28529d2bc36637
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 8 17:29:33 2019 +0100

    Add more files to gitignore, notably build folder

commit 368cd02ecf315a4995bd78ac560823a83368c0a2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 8 17:28:01 2019 +0100

    Update AUTHORS

commit b851de7220657aaba96d447abd2937ffd2a23490
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 16:16:13 2019 +0100

    Update NEWS for 6.0.1

commit 34bb5af1400606fc7cd15e5770d149f38adc8f51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 15:18:39 2019 +0100

    Update Release version to 6.0.1

commit 1f4136e86450d58146683a065b829c812e9602d4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 16:09:47 2019 +0100

    Fix fallthrough warning

commit 98423d6aa67cfdcc2def0600d82a877a6646c403
Author: Nicolas Porcel <nicolasporcel06@gmail.com>
Date:   Tue Feb 6 02:57:44 2018 +0100

    Fix dvd burnt with Nero
    
    Some DVD written with Nero Burning ROM have faulty IFO files that make
    them unreadable with libdvdread. The condition removed is checked anyway
    using the CHECK_VALUE macro.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b1f3681b2b7e19c0c060771f9d5acc2db2ec7a1a
Author: John Stebbins <stebbins@jetheaddev.com>
Date:   Wed Jan 25 10:08:31 2017 -0700

    Don't ignore I/O errors in InternalUDFReadBlocksRaw
    
    Ignoring these errors can lead to hanging in a loop for hours on damaged
    images.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ba6d4eb22acb316eaec5de907ca815f6a6415c7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 5 15:15:47 2019 +0100

    Update NEWS

commit 978c6275c004db5485fb7ffde2508b89cc45c7f7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 8 15:51:08 2019 +0100

    Invalidate cache when forcing filesize
    
    This fixes playback of Resident Evil Extention DVD.

commit 30e4a6e29862024a95a2e0a731025e4d7f783b6b
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Nov 30 18:05:22 2018 +0300

    CI: added debian, macos, win32 and win64 build jobs.

commit 95fdbe8337d2ff31dcfb68f35f3e4441dc27d92f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jan 14 10:45:31 2018 +0100

    Update NEWS

commit 230d8c8140316f1633cb48c11870938d5784b5b7
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:17 2018 +0100

    Don't abort if PGCN or PCN == 0 when reading VTS_PTT_SRPT
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 26cc345d57a2660fe2bfdb25be099ede233d7d48
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:16 2018 +0100

    Update incomplete structures
    
    From the spec.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22f0cd7398da14b85bdb20eef81309ad30ec8da8
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:15 2018 +0100

    Don't abort if PGC structure can't be read.
    
    Some DVD contains unused invalids PGC (ie: inaccessible location).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7433fb130827ada0e09a6b123b8a1df4fdf6bb40
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Tue Jan 9 15:52:14 2018 +0100

    Provide compatibility with media having incomplete TT_SRPT and PTT_SRPT
    
    Some media don't provide the last byte field in  "Title Search Pointer Table"
    (TT_SRPT) and "Video Title Set Part of Title Search Pointer Table"
    (VST_PTT_SRPT)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 74853950580354f0fba0e8bbae643068da9c3fb7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 8 18:28:22 2018 +0100

    Update NEWS for 6.0

commit 5ec409508803037dfa931591aef93851458d1d2a
Author: Lawrence D'Oliveiro <ldo@geek-central.gen.nz>
Date:   Fri Feb 19 16:16:09 2016 +0100

    Restrict Exported Symbols To Those Currently Declared In Public Includes
    
    The shared library currently exports the symbols “dvdinput_close”,
    “dvdinput_open”, “dvdinput_read”, “dvdinput_seek”,
    “dvdinput_setup” and “dvdinput_title”, even though these are not
    currently declared in any of the public include files.
    
    This restricts the export-symbols-regex to stop exporting these.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 494311d309441846eae697f915b61d2980bfa69d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Oct 14 20:49:55 2015 +0300

    Remove unused dvdinput_error()

commit d52ac0a705e6969862d94b94729854108b7eb4b4
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Oct 14 14:03:33 2015 +0300

    Remove redundant redeclaration of InternalUDFReadBlocksRaw

commit 54c4660e7592e6f8e30d205b117dfc9b1e3997be
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Sep 24 14:02:23 2015 +0300

    dvdinput_close(): fix leak in error path
    
    Memory should be freed even if DVDCSS_close() or close() returns an error.
    Error return value is only for diagnostics; those functions can't be called again.
    => dvdinput_close() can't be called again.

commit 32c6f60f29875a7ee05817ee81107bb5ca0ea7ae
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Sep 24 14:01:51 2015 +0300

    Use NULL when comparing pointer

commit 5e2ffa4bd2f260cd68e064ada27aa21b042f8856
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 9 12:19:22 2015 +0200

    Update NEWS

commit d056043f4ba26944163c404421077ebfe3c8c60f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 9 12:17:46 2015 +0200

    Next major version will be 6.0.0
    
    Bump version to 5.90.0 for now

commit 511ac9c8199d7b604d6a65193fd2777b74fad776
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 9 09:51:03 2015 +0200

    Prepare for 5.0.4

commit 105aa319b085b3eb4f67de80cb41af27e0f2fe0f
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Sep 7 14:46:31 2015 +0300

    configure: generate version.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 752bbae6bc7b517f9819d182a2e3ddca44b112d8
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 9 10:12:29 2015 +0300

    DVDReadBytes(): Check that requested size fits in ssize_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1d4a5ceef8e32659ae61fff4244d346c9f3453aa
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 9 10:11:16 2015 +0300

    sprintf -> strcpy
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 08d1ca695b55121bb0e7e82e0fa21028196141a5
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Sep 9 10:10:26 2015 +0300

    Add const
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7247a1995bf8cb33fb716eab9dd57ad2a90a083e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Sep 1 15:40:18 2015 +0200

    Next version will be 5.0.4 (+ NEWS)

commit 46ef934304b3a326615ae6dafc63b337f2f2628f
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:41:57 2015 +0300

    Use calloc
    
    Remove redundant initializations to 0.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 75c0cae2f32be6d7b076818571341dde83c1771b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:41:38 2015 +0300

    Use correct constant
    
    TITLES_MAX was used as length of string "/video_ts".
    There's no relation between these two constants.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a0b8b3e4e1e95131430149c24c75d19fb8219087
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:41:01 2015 +0300

    Fix possible buffer overflow
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2b77f469eb511b8f43e8f9b10a3b57685ec1ff3c
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed May 20 13:40:27 2015 +0300

    Cosmetics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e269e52103a0422a3954ecc2f1901dec5fb4f0d
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Sun Mar 29 22:21:31 2015 +0300

    Fix write after free
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2b8f60f0c4efd85f17116a5443851d4bb4a288b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 25 14:55:05 2015 +0100

    Update NEWS for 5.0.3

commit 107ca98775df1eb953881acd8df5471e8bcc88cd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 25 14:32:38 2015 +0100

    Update dvd_reader version too

commit a76a31f0f909200a96eecffe6ea3292f3aa2374f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Mar 13 17:03:13 2015 +0100

    Update NEWS for 5.0.3
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 85b6663a59290f1cda175690daaf89eb433430bc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Mar 13 17:03:12 2015 +0100

    dvd_reader: cache IFO and BUP files (only for images files)
    
    It reduces the number of read/seek accesses
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit af446d463a15fb08f95f8b84bfc89af395b6e1bc
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Jan 29 17:29:03 2015 +0900

    ifo_types.h: fix 'warning: `gcc_struct' attribute directive ignored'
    
    gcc_struct has been supported since gcc 3.4.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 574b886b733e8737e8cf17d9330049289e837ac3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 17:17:32 2015 +0100

    Fix compilation when staticly linked to libdvdcss

commit cd82f3072c75736dd0459738d12dbc0da0884f28
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jan 28 16:30:31 2015 +0100

    dvd_input: always init dev->dvdcss
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8bda55f887d7d8e926f943977129e26eaf2ff02a
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Mon Jan 19 13:23:58 2015 +0900

    src/dvd_input.c: use dvdcss2.dll instead of dvdcss.dll on OS/2
    
    libtool creates a versioned dll on OS/2 as well.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b86232c82503d65b3a5d25283ae5f9a7f66acc0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jan 28 14:45:52 2015 +0100

    dvd_input.c: can link with dvdcss without new open_stream symbol
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 55465dba693864ea04f83455fa0f470b4fb957e4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jan 28 14:45:51 2015 +0100

    dvd_input.c fix unused parameter warnings
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d14f83e4ab1bf7b5856898365a8c4bd2b107c041
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 27 16:37:12 2015 +0100

    Update NEWS for 5.0.2

commit 40571a6f7bdbd7c5a8530675f3c082032ab540b3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 27 16:34:48 2015 +0100

    Update .so version because of added API

commit 6dfeb9b50421d98f7a228de05498d98eecd23f02
Author: Thomas Guillem <tom@gllm.fr>
Date:   Fri Oct 17 15:43:26 2014 +0200

    add DVDOpenStream
    
    open a DVD Device using external read/seek callbacks (see libdvdcss).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f5ea91421d7912bffc8c5964409fd4454f1f5985
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:42 2015 -0700

    Check for malloc fail before setting buffer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 05c4e138c27ad372c2640506017b15f34b3dd92f
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:41 2015 -0700

    Check for malloc fail before setting buffer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a3d569054c4e57d401137ba2e93d56afa5edd6d7
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:39 2015 -0700

    Check for malloc fail before setting secbuf
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e381f0766f4a1cf9b0cf526b38fca445080ba94e
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:38 2015 -0700

    Remove unnecessary memset() calls because of calloc being used
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 76f813477a863873bea842e4ae182b3c4cacfc96
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:37 2015 -0700

    Use calloc instead of malloc, then memset
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a63467f9ec4dbdb63057439665a561ac68c6cae8
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:36 2015 -0700

    Use calloc as a safety measure since ifoRead functions populate parts of the data independently
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a097e3da09e8fe8d32115dad8992e4326536e8c5
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:33 2015 -0700

    Use calloc as a safety measure since ifoRead functions populate parts of the data independently
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a267a3bc899a72712baab8bc37fe59405dcd1904
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:32 2015 -0700

    Use calloc as a safety measure since ifoRead functions populate parts of the data independently
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fa457d44da389ad576c1e3b3a880401a796cdcbf
Author: Steve Dibb <steve.dibb@gmail.com>
Date:   Thu Jan 15 13:45:13 2015 -0700

    Set freed pointers to NULL instead of zero
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4507900078d45d7262dd26bfc6405c8faadd293c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jan 3 01:16:48 2015 +0100

    Add NEWS for 5.0.1

commit 41c3e42563ad2e3f29cdbc28529d515f2e71384d
Author: Evgeny Grin <karlson2k@kodi.tv>
Date:   Tue Nov 25 18:46:33 2014 +0300

    Fix partial read handling in DVDReadLBUDF()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 72f87861057b9f3fcf929e9ba31312f72d9ab081
Author: Evgeny Grin <karlson2k@kodi.tv>
Date:   Tue Nov 25 18:12:45 2014 +0300

    Fix partial read handling in file_read()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3dbbdfb548135eb73a06cf01ac0a0b3fde48b5ab
Author: Andrew Clayton <andrew@digital-domain.net>
Date:   Wed Nov 5 21:36:37 2014 +0000

    src/md5: Replace the MD5 implementation with the FSF LGPL one
    
    With GCC 4.8.3 on x86_64 Fedora 20 we get the following warnings from
    src/md5.c
    
        src/md5.c: In function 'md5_finish_ctx':
        src/md5.c:102:3: warning: dereferencing type-punned pointer will
         break strict-aliasing rules [-Wstrict-aliasing]
        *(md5_uint32 *) &ctx->buffer[bytes + pad] = SWAP (ctx->total[0] <<
         3);
        ^
        src/md5.c:103:3: warning: dereferencing type-punned pointer will
         break strict-aliasing rules [-Wstrict-aliasing]
        *(md5_uint32 *) &ctx->buffer[bytes + pad + 4] = SWAP
         ((ctx->total[1] << 3) |
        ^
    
    Rather than trying to fix this, Jean-Baptiste Kempf suggested it would
    be better to replace this old implementation with something newer such
    as the one used in VLC. So, this is what this does.
    
    We take src/misc/md5.c as src/md5.c and include/vlc_md5.h as src/md5.h
    
    md5.c had little changed in it, just some #include changes, I also had
    to remove the restrict keyword from the AddMD5() function definition as
    this is a C99 thing. This shouldn't really make much difference in this
    usage.
    
